

/* Hover */

.cover-content-container::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0); /* Inicialmente transparente */
    transition: background 0.5s ease; /* Suavidad para el cambio de fondo */
    z-index: 1; /* Coloca el overlay sobre la imagen */
}

/* article:hover .cover-content-container::before {
    background: rgba(0, 0, 0, 0.5);
} */

article:hover .cover-picture img {
    transform: scale(1.1); /* Efecto sutil de zoom */
}

.details-wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0; /* Inicialmente invisible */
    transition: opacity 0.5s ease; /* Transición suave para la opacidad */
    text-align: center; /* Centrado del texto dentro del contenedor */
    color: white; /* Asegúrate de que el texto sea visible sobre la imagen */
    z-index: 2; /* Asegúrate de que esté por encima de la imagen */
}

article:hover .details-wrap {
    opacity: 1;
}

.menu-container{
    display: none;
}

.desktop-menu{
    width: 100%;
    background: black;
}

.desktop-menu--container{
    width: 100%;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

ul.nav-menu-desktop {
    display: flex
;
    gap: 20px;
}

ul.nav-menu-desktop li a {
    color: #777777;
    text-decoration: none;
    font-size: 1.3rem;
    transition: color 0.5s ease;
}

ul.nav-menu-desktop li a:hover {
    color: white;
}



div#intro-description {
    width: 100%;
    margin: auto;
    text-align: justify;
    padding: 0;
}



.body-container {
    width: 100%;
}

.work-section {
    padding-top: 20px;
}

.title-div {
    position: -webkit-sticky;
    position: sticky;
    top: 68px;
}

.mobile-work{
    display: none;
}

  .layout {
    width: 100%;
  
    display: grid;
    grid:
    "grid-1 grid-2" 0.8fr
    "grid-3 grid-6" 0.8fr
    "grid-9 grid-7" 0.8fr
    "grid-5 grid-4" 0.8fr
    "grid-8 grid-10" 0.8fr
        / 2fr 2fr;
    gap: 8px;
  }

  .grid-1 { grid-area: grid-1; }
  .grid-2 { grid-area: grid-2; }
  .grid-3 { grid-area: grid-3; }
  .grid-4 { grid-area: grid-4; }
  .grid-5 { grid-area: grid-5; }
  .grid-6 { grid-area: grid-6; }
  .grid-7 { grid-area: grid-7; }
  .grid-8 { grid-area: grid-8; }
  .grid-9 { grid-area: grid-9; }
  .grid-10 { grid-area: grid-10; }

  .grid-1 ,.grid-2, .grid-3, .grid-4, .grid-5, .grid-6, .grid-7, .grid-8, .grid-9, .grid-10 {
    position: relative;
    overflow: hidden; /* Evita que el pseudo-elemento sobresalga */
    display: flex;
    align-items: center;
    justify-content: center;
}

.underline:after {
    height: 4px;
  }


.work-container article {
    flex: unset;
    width: 100%;
    scroll-snap-align: unset;
}

.work-container-wrapper {
    width: 100%;
    height: auto;
    overflow: hidden;
    position: relative;
    margin-top: 0;
}

.intro-background {
    height: 100vh;
    background-position: right;
    background-image: url(/assets/Home/photo-1.png) !important;
    background-size: cover;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
}

.cover-picture img {
    display: block;
    width: 100%;
    height: 100%;
    transition: transform 0.5s ease, opacity 0.5s ease;
    object-fit: cover;
}

.infinite-scroll{
    padding: 0;
}

.curriculum-section {
    width: 100%;
}

.cover{
    height: 100%;
}
.cover-image {
    height: 100%;
}

.cover-image-wrap {
    height: 100%;
    width: 100%;
}

.desktop-work {
    display: block;
}

.work-title{
    top: 47px;
    padding: 20px 0;
}

div#intro-photography {
    width: 40%;
    margin: auto;
}

section.introduction-desktop .name h1 {
    color: white;
    text-align: center;
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
    line-height: 0.8;
    font-size: 8rem;
    
}

.infinite-scroll {
    font-size: 5rem;
}

.desktop-menu {
    display: block;
}


section.introduction-desktop {
    gap: 80px;
}

.text-content a{
    font-family: "Bebas Neue", sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: 1;
    text-decoration: none;
    width: fit-content;
    margin: auto;
}

.questions a {
    color: #8d6d1a;
    transition: 0.5s ease;
}

.questions a:hover{
    color: #ffc100;
    transition: 0.5s ease;
}

.text-content a:hover {
    color: #ffc100;
    transition: 0.5s ease;
}

.body-container .intro-text h1 {
    font-size: 5vw;
}

section.introduction-desktop {
    display: flex;
    justify-content: center;
}

.books--div img {
    transform: scale(1);
    transition: transform 0.3s ease-in-out;
}

.books--div img.hovered {
    transform: scale(1.1);
}


/* intro */
.intro-text{
    opacity: 1;
    animation:unset;/* Cambiar duración si es necesario */
}

.intro-section {
    position: relative;
    height: fit-content; /* Simula un scroll largo */
}

.introduction .intro-text h1, .contact-title h1 {
    font-size: 6rem;
}

article.main-article {
    display: flex;
    flex-direction: row;
    padding: 0 40px;
    gap: 40px;
    max-width: 85rem;
    margin: auto;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    height: 100vh;
    justify-content: center;
    transition: opacity 0.6s ease-out, filter 0.6s ease-out;
    z-index: 2;
    margin: 0 auto 80px;
}

section.introduction-desktop h2 {
    text-align: center;
    font-family: montserrat;
    font-size: 1.9rem;
    letter-spacing: 20px;
    padding-left: 0px;
}

section.introduction-desktop h2 {
    letter-spacing: 20px;
}

.nav-logo {
    padding-left: 20px;
}

div.introduction {
    padding: 0;
    gap: 40px;
    max-width: 85rem;
    margin: auto;
    position: -webkit-sticky;
    position: sticky;
    top: 35%;
    background: transparent;
    transition: opacity 0.6s ease-out, filter 0.6s ease-out;
    z-index: 2;
}

.work-section  {
    background-position: 50% 0;
    color: transparent;
    opacity: 0;
    animation: unset;
    /* animation-timeline: scroll(root);
    animation-range: unset; */
}

.questions--container{
    top: 30%;
    margin: 0 auto
}


.introduction .intro-text h1, .contact-title h1 {
    text-align: center;
    white-space: nowrap;
}

.questions-content-section, .about-section{
    height: 100vh;
    
}

.text-content--container{
    top: 31%;
}

.books--div {
    flex-direction: row;
}

.text-home .text-content-section:nth-child(2){
    height: 130vh;
}

.book--mobile img {
    display: none;
}

.book-cover--mobile{
    display: none;
}

.books-container {
    display: flex;
    width: 60%;
    justify-content: center;
}

.books .experience{
    gap: 16px;
}

.introduction .intro-text h1, .contact-title h1 {
    font-size: 5rem;
}

.contact-title {
    padding: 80px;
}

.contact div#footer_icons ul svg {
    width: 4vw;
    height: 4vw;
    max-width: 75px;
}
.contact div#footer_icons ul svg {
    fill: #818181;
}

.contact div#footer_icons ul svg:hover {
    fill: white;
}

.contact-section {
    margin-top: 40vh;
}

/* about */



.about-title h1{
    text-align: center;
}

.about-section {
    margin-top: 120px;
}

.about-text p {
    font-size: 1.5rem;
}

.about-container {
    padding: 0 40px;
}


/* footer */

section#footer_container {
    display: flex;
    width: 100%;
    justify-content: space-between;
    min-height: 260px;
}

.footer-column {
    display: flex;
    gap: 40px;
}

section#footer_container #footer_icons {
    padding: 0;
}

div#footer_items {
    padding: 0;
}

.nav-logo .name h1 {
    font-size: 3rem;
}


.text-content p {
    font-size: clamp(1.4rem, 3vw, 3.25rem);
}

.contact {
    top: 30%;
}

.contact-section{
    height: 200vh;
}

.intro-background {
    background-position: bottom;
}


.clients-logos {
    gap: 40px;
    width: 80%;
    margin: auto;
    padding: 60px 0 0;
}

.awards-logos {
    gap: 40px;
    width: 90%;
    margin: auto;
    padding: 60px 0 0;
}

.client-logo {
    width: calc(12% - 20px);
}
.award-logo {
    width: calc(17% - 20px);
}

section.curriculum-section h2 {
    font-size: 4.5rem;
}

.cv .experience {
    flex-direction: row;
}

.experience-logo {
    width: 20%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cv .experience{
    display: flex;
    border-bottom: 1px solid white;
    min-height: 220px;
    flex-direction: row;
    padding: 20px 40px 20px 20px;
}

.cv .experience-text {
    display: flex;
    flex-direction: column;
    gap: 16px;
    min-height: 220px;
    justify-content: center;
    width: 80%;
}

.cv .experience-text h3 {
    text-align: left;
    font-size: 1.8rem;
    margin: 0;
    display: block !important;
}

.about-content {
    display: flex;
    margin: 0 auto;
    max-width: 85rem;
    flex-direction: row;
}

.about-text {
    width: 60%;
    padding: 0 20px;
}

.about-title{
    display: none;
}

.about-image{
    display: block;
}

.behance-more a {
    color: #818181;
    font-size: 4rem;
    transition: color 0.3s ease, border-color 0.3s ease;
}

.behance-more a:hover {
    color: #ffffff;
}

.whatapp-icon svg:hover path {
    fill: white;
}

a.footer-icon--a svg {
    fill: #818181;
    transition: fill 0.3s ease;
}
a.footer-icon--a svg:hover {
    fill: #ffffff;
}

a.footer-icon--a.whatapp-icon path {
    fill: #818181;;
}
a.footer-icon--a.whatapp-icon:hover path {
    fill: #ffffff;;
}

.about-image{
    width: 25%;
    margin: auto;
}


@media screen and (max-width: 1440px){
    .introduction .intro-text h1, .contact-title h1 {
        white-space: unset;
        font-size: 5vw;
    }
}

.developer-content p{
    font-size: 0.8rem;
}

.desktop-menu--logo .nav-logo .name h1 {
    font-size: 2rem;
}

div#footer_items {
    align-items: flex-end;
}

div#footer_logo {
    gap: 40px;
}